Package org.flowable.engine.interceptor

# Class CreateExternalWorkerJobBeforeContext

java.lang.Object
org.flowable.engine.interceptor.CreateExternalWorkerJobBeforeContext

public class CreateExternalWorkerJobBeforeContext extends Object

Author:
  Filip Hrisafov

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final DelegateExecution`
  `execution`
  `protected final ExternalWorkerServiceTask`
  `externalWorkerServiceTask`
  `protected String`
  `jobCategory`
  `protected String`
  `jobTopicExpression`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateExternalWorkerJobBeforeContext(ExternalWorkerServiceTask externalWorkerServiceTask, DelegateExecution execution, String jobCategory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DelegateExecution`
  `getExecution()`
  `ExternalWorkerServiceTask`
  `getExternalWorkerServiceTask()`
  `String`
  `getJobCategory()`
  `String`
  `getJobTopicExpression()`
  `void`
  `setJobCategory(String jobCategory)`
  `void`
  `setJobTopicExpression(String jobTopicExpression)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### externalWorkerServiceTask

    protected final ExternalWorkerServiceTask externalWorkerServiceTask

  - ### execution

    protected final DelegateExecution execution

  - ### jobCategory

    protected String jobCategory

  - ### jobTopicExpression

    protected String jobTopicExpression

- ## Constructor Details

  - ### CreateExternalWorkerJobBeforeContext

    public CreateExternalWorkerJobBeforeContext(ExternalWorkerServiceTask externalWorkerServiceTask, DelegateExecution execution, String jobCategory)

- ## Method Details

  - ### getExternalWorkerServiceTask

    public ExternalWorkerServiceTask getExternalWorkerServiceTask()

  - ### getExecution

    public DelegateExecution getExecution()

  - ### getJobCategory

    public String getJobCategory()

  - ### setJobCategory

    public void setJobCategory(String jobCategory)

  - ### getJobTopicExpression

    public String getJobTopicExpression()

  - ### setJobTopicExpression

    public void setJobTopicExpression(String jobTopicExpression)